<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="csi-metadata-heading" data-cy="MetadataCreateUpdateHeading"
        csiTranslate="microscopyuploadApp.metadata.home.createOrEditLabel">
        Create or edit a Metadata
      </h2>

      <div>
        <csi-alert-error></csi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" csiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id"
            [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" csiTranslate="microscopyuploadApp.metadata.cellLine" for="field_cellLine">Cell
            Line</label>
          <input type="text" class="form-control" name="cellLine" id="field_cellLine" data-cy="cellLine"
            formControlName="cellLine" />
          <div
            *ngIf="editForm.get('cellLine')!.invalid && (editForm.get('cellLine')!.dirty || editForm.get('cellLine')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('cellLine')?.errors?.required"
              csiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" csiTranslate="microscopyuploadApp.metadata.antibodiesUsed"
            for="field_antibodiesUsed">Antibodies Used</label>
          <input type="text" class="form-control" name="antibodiesUsed" id="field_antibodiesUsed"
            data-cy="antibodiesUsed" formControlName="antibodiesUsed" />
        </div>

        <div class="row mb-3">
          <label class="form-label" csiTranslate="microscopyuploadApp.metadata.fixationConditions"
            for="field_fixationConditions">Fixation Conditions</label>
          <textarea rows="2" class="form-control" name="fixationConditions" id="field_fixationConditions"
            data-cy="fixationConditions" formControlName="fixationConditions"></textarea>
        </div>

        <div class="row mb-3">
          <label class="form-label" csiTranslate="microscopyuploadApp.metadata.experimentalInvention"
            for="field_experimentalInvention">Experimental Invention</label>
          <textarea rows="3" class="form-control" name="experimentalInvention" id="field_experimentalInvention"
            data-cy="experimentalInvention" formControlName="experimentalInvention"></textarea>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary"
          (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span csiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button type="submit" id="save-entity" data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
          <fa-icon icon="save"></fa-icon>&nbsp;<span csiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>